<style src='@/resources/css/guide.css'></style>


<template>
  <div class='selection-guide'>
    <div class='swiper-container swiper-no-swiping' v-show="! isResults">
    <span class='swiper-progress'>
          <div class='swiper-pager'></div>
        </span>
      <div class='swiper-points'></div>
      <button class='button-back swiper-button-prev swiper-button-black swiper-button-disabled'></button>
      <div class='swiper-wrapper'>

        <Intro></Intro>
        <Question1 />
        <Question2 />
        <Question3 />
        <Question4 />
        <Question5 />
        <Question6 />
        <Swiper />
      </div>
    </div>

    <Results />
  </div>
</template>

<script>
  import { mapGetters } from 'vuex'
  import Swiper from "@/components/Swiper";
  import Intro from "@/components/questions/Intro";
  import Question1 from "@/components/questions/Question1";
  import Question2 from "@/components/questions/Question2";
  import Question3 from "@/components/questions/Question3";
  import Question4 from "@/components/questions/Question4";
  import Question5 from "@/components/questions/Question5";
  import Question6 from "@/components/questions/Question6";
  import Results from "@/components/questions/Results";

export default {
  name: 'app',
  components: {
    Swiper,
    Intro,
    Question1,
    Question2,
    Question3,
    Question4,
    Question5,
    Question6,
    Results
  },

  computed: {
    ...mapGetters(['isQuestion', 'isIntro', 'isResults'])
  }
}
</script>
